Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 403283 - gnome-base/gdm-3.2.1.1-r2 partially loads
Summary: gnome-base/gdm-3.2.1.1-r2 partially loads
Status: RESOLVED WORKSFORME
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] GNOME (show other bugs)
Hardware: x86 Linux
: Normal critical (vote)
Assignee: Gentoo Linux Gnome Desktop Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: gnome-3.8
  Show dependency tree
 
Reported: 2012-02-12 14:04 UTC by Gil Forcada
Modified: 2013-04-06 12:14 UTC (History)
6 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
/var/log/gdm/:0.log (gdm.0.log,16.22 KB, text/plain)
2012-02-12 18:26 UTC, Gil Forcada
Details
ps aux | grep gdm (bla.txt,633 bytes, text/plain)
2012-02-12 19:40 UTC, Gil Forcada
Details
gdb-session-worker (gdb-session-worker.txt,1.39 KB, text/plain)
2012-02-12 22:18 UTC, Gil Forcada
Details
gdb-simple-slave (gdb-simple-slave.txt,2.76 KB, text/plain)
2012-02-12 22:18 UTC, Gil Forcada
Details
/var/log/gdm/:0.log var_log_gdm_0.log (var_log_gdm_0.log,35.92 KB, text/plain)
2012-04-09 15:05 UTC, Juergen Rose
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gil Forcada 2012-02-12 14:04:54 UTC
Since I upgraded to >=gnome-base/gdm-3, it starts (I'm switched from the terminal VT to the X11 VT) but only the mouse spinning is shown, it never finishes to load (i.e. showing the greeter and such).

Neither the xorg logs nor the gdm logs show any error or cause of why is not loading.

Any tip on how to debug this?

Reproducible: Always
Comment 1 Alexandre Rostovtsev (RETIRED) gentoo-dev 2012-02-12 18:15:25 UTC
Please attach /var/log/gdm/:0.log, /var/log/gdm/:0-greeter.log, and /var/log/gdm/:0-slave.log - perhaps one of them has a useful error message that you missed.
Comment 2 Gil Forcada 2012-02-12 18:26:24 UTC
Created attachment 301675 [details]
/var/log/gdm/:0.log
Comment 3 Gil Forcada 2012-02-12 18:27:28 UTC
I do not have any /var/log/gdm/:0-greeter.log and /var/log/gdm/:0-slave.log is completely empty.
Comment 4 Alexandre Rostovtsev (RETIRED) gentoo-dev 2012-02-12 19:16:36 UTC
Please give the output of "ps aux | grep gdm" when gdm is frozen.
Comment 5 Gil Forcada 2012-02-12 19:40:38 UTC
Created attachment 301681 [details]
ps aux | grep gdm
Comment 6 Alexandre Rostovtsev (RETIRED) gentoo-dev 2012-02-12 20:20:48 UTC
OK, please do the following:

1. re-emerge dev-libs/glib and gnome-base/gdm with "-ggdb" in CFLAGS and "splitdebug" in FEATURES (see http://www.gentoo.org/proj/en/qa/backtraces.xml for more information).

2. install sys-devel/gdb if you don't have it already

3. restart gdm (/etc/init.d/gdm restart)

4. when you see the spinning cursor, run "gdb attach $(pgrep gdm-session-worker)"

5. in gdb, do "set logging on"

6. in gdb, do "t a a bt full"; keep pressing enter until you get back to the "(gdb)" prompt.

7. in gdb, type "quit" to exit (and answer "y" to quit anyway if prompted).

8. rename gdb.txt to gdm-session-worker.gdb.txt

9. repeat the same process for gdm-simple-slave (i.e. "gdb attach $(pgrep gdm-simple-slave)" etc.)

10. attach gdm-session-worker.gdb.txt and gdm-simple-slave.gdb.txt here.

11. if you are using any sort of customized or non-standard pam configuration, please explain it in detail.
Comment 7 Gil Forcada 2012-02-12 22:18:00 UTC
Created attachment 301695 [details]
gdb-session-worker
Comment 8 Gil Forcada 2012-02-12 22:18:14 UTC
Created attachment 301697 [details]
gdb-simple-slave
Comment 9 Gil Forcada 2012-02-12 22:18:58 UTC
As for 11, I do not use (or I do not remember of) doing anything with PAM, I just login an start doing things on my GNOME desktop.
Comment 10 Alexandre Rostovtsev (RETIRED) gentoo-dev 2012-02-12 22:51:27 UTC
Unfortunately, even with the backtraces, I can't figure out what would cause the issue you are experiencing :/

Hopefully, gdm's upstream developers will be able to help you. Please file a new bug in the gnome bugzilla (https://bugzilla.gnome.org/enter_bug.cgi?product=gdm), include the URL for this bug in the new bug's description, attach the "ps aux" output and the gdb backtraces you made, and add "gnome@gentoo.org" to the new bug's CC list so that Gentoo developers can keep track of it.
Comment 11 Gil Forcada 2012-02-12 23:48:49 UTC
Thanks for your promptly support!

I already filed a bug on GNOME's bugzilla:

https://bugzilla.gnome.org/show_bug.cgi?id=669949

Let's see what GDM developers can say about it :)
Comment 12 Gil Forcada 2012-03-06 19:33:10 UTC
Turns out that adding a line on /etc/passwd for gdm (which there wasn't did the trick). I added exactly this:

gdm:!:152490::::::

The number is a random one I copied the line from colord user and added a zero to it.
Comment 13 gglaboussole 2012-03-12 18:20:35 UTC
Same problem for me on ~amd64...
This is came suddenly... For the moment, waiting for an issue, I have replaced gdm by slim..

emerge --info
Portage 2.1.10.49 (default/linux/amd64/10.0/desktop/gnome, gcc-4.5.3, glibc-2.14.1-r2, 3.2.9-gentoo x86_64)
=================================================================
System uname: Linux-3.2.9-gentoo-x86_64-Intel-R-_Core-TM-_i7_CPU_920_@_2.67GHz-with-gentoo-2.1
Timestamp of tree: Mon, 12 Mar 2012 17:45:01 +0000
ccache version 3.1.7 [enabled]
app-shells/bash:          4.2_p20
dev-java/java-config:     2.1.11-r3
dev-lang/python:          2.7.2-r3, 3.2.2
dev-util/ccache:          3.1.7
dev-util/cmake:           2.8.7-r5
dev-util/pkgconfig:       0.26
sys-apps/baselayout:      2.1
sys-apps/openrc:          0.9.9.3
sys-apps/sandbox:         2.5
sys-devel/autoconf:       2.13, 2.68
sys-devel/automake:       1.9.6-r3, 1.10.3, 1.11.3
sys-devel/binutils:       2.22-r1
sys-devel/gcc:            4.5.3-r2
sys-devel/gcc-config:     1.5.1
sys-devel/libtool:        2.4.2
sys-devel/make:           3.82-r3
sys-kernel/linux-headers: 3.2-r1 (virtual/os-headers)
sys-libs/glibc:           2.14.1-r2
Repositories:

gentoo
    location: /usr/portage
    sync: rsync://rsync.europe.gentoo.org/gentoo-portage
    priority: -1000

x-portage
    location: /usr/local/portage
    masters: gentoo
    priority: 0

ABI="amd64"
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="* -@EULA skype-eula AdobeFlash-10.3 Oracle-BCLA-JavaSE ETQW googleearth license(s) PUEL QUAKE4 dlj-1.1 AdobeFlash-10 AdobeFlash-10.1"
ACCEPT_PROPERTIES="*"
ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci"
ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol"
ANT_HOME="/usr/share/ant"
APACHE2_MODULES="actions alias auth_basic auth_digest authn_anon authn_dbd authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock dbd deflate dir disk_cache env expires ext_filter file_cache filter headers ident imagemap include info log_config logio mem_cache mime mime_magic negotiation proxy proxy_ajp proxy_balancer proxy_connect proxy_http rewrite setenvif so speling status unique_id userdir usertrack vhost_alias"
ARCH="amd64"
AUTOCLEAN="yes"
BOOTSTRAP_USE="cxx unicode multilib"
CALLIGRA_FEATURES="kexi words flow plan stage tables krita karbon braindump"
CAMERAS="canon"
CBUILD="x86_64-pc-linux-gnu"
CCACHE_DIR="/home/.ccache"
CCACHE_SIZE="4G"
CFLAGS="-march=native -O2 -pipe"
CFLAGS_amd64="-m64"
CFLAGS_x32="-mx32"
CFLAGS_x86="-m32"
CHOST="x86_64-pc-linux-gnu"
CHOST_amd64="x86_64-pc-linux-gnu"
CHOST_x32="x86_64-pc-linux-gnu"
CHOST_x86="i686-pc-linux-gnu"
CLEAN_DELAY="5"
COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog"
COLLISION_IGNORE="/lib/modules"
COLORTERM="gnome-terminal"
CONFIG_PROTECT="/etc /usr/share/gnupg/qualified.txt /usr/share/hddtemp/"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.4/ext-active/ /etc/php/cgi-php5.4/ext-active/ /etc/php/cli-php5.4/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/splash /etc/terminfo"
CXXFLAGS="-march=native -O2 -pipe"
DBUS_SESSION_BUS_ADDRESS="unix:abstract=/tmp/dbus-T3mDfEOOf5,guid=3b3f0c8e286f07a8a77fcf980000002c"
DEFAULT_ABI="amd64"
DISPLAY=":0.0"
DISTDIR="/usr/portage/distfiles"
EDITOR="/bin/nano"
ELIBC="glibc"
EMERGE_DEFAULT_OPTS="-av --with-bdeps=y --keep-going --quiet-build=n"
EMERGE_WARNING_DELAY="10"
EPREFIX=""
EROOT="/"
FCFLAGS=""
FEATURES="assume-digests binpkg-logs candy ccache distlocks ebuild-locks fail-clean fixlafiles news parallel-fetch protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch"
FETCHCOMMAND="wget -t 3 -T 60 --passive-ftp -O "${DISTDIR}/${FILE}" "${URI}""
FETCHCOMMAND_RSYNC="rsync -avP "${URI}" "${DISTDIR}/${FILE}""
FETCHCOMMAND_SFTP="bash -c "x=\${2#sftp://} ; host=\${x%%/*} ; port=\${host##*:} ; host=\${host%:*} ; [[ \${host} = \${port} ]] && port=22 ; exec sftp -P \${port} \"\${host}:/\${x#*/}\" \"\$1\"" sftp "${DISTDIR}/${FILE}" "${URI}""
FETCHCOMMAND_SSH="bash -c "x=\${2#ssh://} ; host=\${x%%/*} ; port=\${host##*:} ; host=\${host%:*} ; [[ \${host} = \${port} ]] && port=22 ; exec rsync --rsh=\"ssh -p\${port}\" -avP \"\${host}:/\${x#*/}\" \"\$1\"" rsync "${DISTDIR}/${FILE}" "${URI}""
FFLAGS=""
GCC_SPECS=""
GDK_USE_XFT="1"
GENTOO_MIRRORS="ftp://gentoo.imj.fr/pub/gentoo/ http://mirrors.linuxant.fr/distfiles.gentoo.org/ ftp://mirrors.linuxant.fr/distfiles.gentoo.org/ http://gentoo.modulix.net/gentoo/ ftp://mirror.ovh.net/gentoo-distfiles/ http://mirror.ovh.net/gentoo-distfiles/"
GNOME_DESKTOP_SESSION_ID="this-is-deprecated"
GNOME_KEYRING_CONTROL="/tmp/keyring-0cWvbS"
GNOME_KEYRING_PID="2712"
GPG_AGENT_INFO="/tmp/keyring-0cWvbS/gpg:0:1"
GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx"
GRUB_PLATFORMS=""
GSETTINGS_BACKEND="dconf"
GUILE_LOAD_PATH="/usr/share/guile/1.8"
HOME="/home/jerome"
INFOPATH="/usr/share/info:/usr/share/binutils-data/x86_64-pc-linux-gnu/2.22/info:/usr/share/gcc-data/x86_64-pc-linux-gnu/4.5.3/info"
INPUT_DEVICES="evdev wacom"
JAVAC="/etc/java-config-2/current-system-vm/bin/javac"
JAVACC_HOME="/usr/share/javacc/"
JAVA_HOME="/etc/java-config-2/current-system-vm"
JDK_HOME="/etc/java-config-2/current-system-vm"
KERNEL="linux"
LANG="fr_FR.UTF-8"
LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text"
LC_COLLATE="C"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LDFLAGS_amd64="-m elf_x86_64"
LDFLAGS_x32="-m elf32_x86_64"
LDFLAGS_x86="-m elf_i386"
LESS="-R -M --shift 5"
LESSOPEN="|lesspipe %s"
LIBDIR_amd64="lib64"
LIBDIR_amd64_fbsd="lib64"
LIBDIR_n32="lib32"
LIBDIR_n64="lib64"
LIBDIR_o32="lib"
LIBDIR_ppc="lib32"
LIBDIR_ppc64="lib64"
LIBDIR_s390="lib32"
LIBDIR_s390x="lib64"
LIBDIR_sparc32="lib32"
LIBDIR_sparc64="lib64"
LIBDIR_x32="libx32"
LIBDIR_x86="lib32"
LIBDIR_x86_fbsd="lib32"
LINGUAS="fr"
LOGNAME="jerome"
LS_COLORS="rs=0:di=01;34:ln=01;36:mh=00:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=01;05;37;41:mi=01;05;37;41:su=37;41:sg=30;43:ca=30;41:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.arj=01;31:*.taz=01;31:*.lzh=01;31:*.lzma=01;31:*.tlz=01;31:*.txz=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.dz=01;31:*.gz=01;31:*.lz=01;31:*.xz=01;31:*.bz2=01;31:*.bz=01;31:*.tbz=01;31:*.tbz2=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.war=01;31:*.ear=01;31:*.sar=01;31:*.rar=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.jpg=01;35:*.jpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.svgz=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.webm=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.flv=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.cgm=01;35:*.emf=01;35:*.axv=01;35:*.anx=01;35:*.ogv=01;35:*.ogx=01;35:*.pdf=00;32:*.ps=00;32:*.txt=00;32:*.patch=00;32:*.diff=00;32:*.log=00;32:*.tex=00;32:*.doc=00;32:*.aac=00;36:*.au=00;36:*.flac=00;36:*.mid=00;36:*.midi=00;36:*.mka=00;36:*.mp3=00;36:*.mpc=00;36:*.ogg=00;36:*.ra=00;36:*.wav=00;36:*.axa=00;36:*.oga=00;36:*.spx=00;36:*.xspf=00;36:"
MAIL="/var/mail/jerome"
MAKEOPTS="-j9"
MANPATH="/etc/java-config-2/current-system-vm/man:/usr/local/share/man:/usr/share/man:/usr/share/binutils-data/x86_64-pc-linux-gnu/2.22/man:/usr/share/gcc-data/x86_64-pc-linux-gnu/4.5.3/man:/etc/java-config/system-vm/man/:/usr/lib64/php5.4/man/"
MULTILIB_ABIS="amd64 x86"
MULTILIB_STRICT_DENY="64-bit.*shared object"
MULTILIB_STRICT_DIRS="/lib32 /lib /usr/lib32 /usr/lib /usr/kde/*/lib32 /usr/kde/*/lib /usr/qt/*/lib32 /usr/qt/*/lib /usr/X11R6/lib32 /usr/X11R6/lib"
MULTILIB_STRICT_EXEMPT="(perl5|gcc|gcc-lib|binutils|eclipse-3|debug|portage|udev)"
NETBEANS="apisupport cnd groovy gsf harness ide identity j2ee java mobility nb php profiler soa visualweb webcommon websvccommon xml"
OPENCL_PROFILE="nvidia"
OPENGL_PROFILE="nvidia"
ORBIT_SOCKETDIR="/tmp/orbit-jerome"
PAGER="/usr/bin/less"
PATH="/usr/local/bin:/usr/bin:/bin:/opt/bin:/usr/x86_64-pc-linux-gnu/gcc-bin/4.5.3:/usr/games/bin"
PHP_TARGETS="php5-3"
PKGDIR="/usr/portage/packages"
PORTAGE_ARCHLIST="ppc sparc64-freebsd ppc-openbsd x86-openbsd ppc64 x86-winnt x86-fbsd ppc-aix alpha arm x86-freebsd s390 amd64 arm-linux x86-macos x64-openbsd ia64-hpux hppa x86-netbsd ppc64-linux x86-cygwin amd64-linux ia64-linux x86 sparc-solaris x64-freebsd sparc64-solaris x86-linux x64-macos sparc m68k-mint ia64 mips ppc-macos x86-interix hppa-hpux amd64-fbsd x64-solaris m68k sh x86-solaris sparc-fbsd"
PORTAGE_BINHOST_CHUNKSIZE="3000"
PORTAGE_BIN_PATH="/usr/lib64/portage/bin"
PORTAGE_COMPRESS_EXCLUDE_SUFFIXES="css gif htm[l]? jp[e]?g js pdf png"
PORTAGE_CONFIGROOT="/"
PORTAGE_DEBUG="0"
PORTAGE_DEPCACHEDIR="/var/cache/edb/dep"
PORTAGE_ELOG_CLASSES="info warn error log"
PORTAGE_ELOG_MAILFROM="portage@localhost"
PORTAGE_ELOG_MAILSUBJECT="[portage] ebuild log for ${PACKAGE} on ${HOST}"
PORTAGE_ELOG_MAILURI="root"
PORTAGE_ELOG_SYSTEM="save"
PORTAGE_FETCH_CHECKSUM_TRY_MIRRORS="5"
PORTAGE_FETCH_RESUME_MIN_SIZE="350K"
PORTAGE_GID="250"
PORTAGE_GPG_SIGNING_COMMAND="gpg --sign --clearsign --yes --default-key "${PORTAGE_GPG_KEY}" --homedir "${PORTAGE_GPG_DIR}" "${FILE}""
PORTAGE_INST_GID="0"
PORTAGE_INST_UID="0"
PORTAGE_OVERRIDE_EPREFIX=""
PORTAGE_PYM_PATH="/usr/lib64/portage/pym"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_RSYNC_RETRIES="-1"
PORTAGE_SYNC_STALE="30"
PORTAGE_TMPDIR="/var/tmp"
PORTAGE_TMPFS="/dev/shm"
PORTAGE_VERBOSE="1"
PORTAGE_WORKDIR_MODE="0700"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
PORT_LOGDIR="/var/log/portage"
PORT_LOGDIR_CLEAN="find "${PORT_LOGDIR}" -type f ! -name "summary.log*" -mtime +7 -delete"
PRELINK_PATH_MASK="/usr/lib64/klibc:/usr/lib64/libfreebl3.so:/usr/lib64/libnssdbm3.so:/usr/lib64/libsoftokn3.so"
PROFILE_ONLY_VARIABLES="ARCH ELIBC KERNEL USERLAND"
PWD="/home/jerome/Desktop"
PYTHONDONTWRITEBYTECODE="1"
QT_GRAPHICSSYSTEM="raster"
RESUMECOMMAND="wget -c -t 3 -T 60 --passive-ftp -O "${DISTDIR}/${FILE}" "${URI}""
RESUMECOMMAND_RSYNC="rsync -avP "${URI}" "${DISTDIR}/${FILE}""
RESUMECOMMAND_SSH="bash -c "x=\${2#ssh://} ; host=\${x%%/*} ; port=\${host##*:} ; host=\${host%:*} ; [[ \${host} = \${port} ]] && port=22 ; exec rsync --rsh=\"ssh -p\${port}\" -avP \"\${host}:/\${x#*/}\" \"\$1\"" rsync "${DISTDIR}/${FILE}" "${URI}""
ROOT="/"
ROOTPATH="/opt/bin:/usr/x86_64-pc-linux-gnu/gcc-bin/4.5.3"
RPMDIR="/usr/portage/rpm"
RUBYOPT="-rauto_gem"
RUBY_TARGETS="ruby18"
SANE_BACKENDS="hp"
SANE_CONFIG_DIR="/etc/sane.d"
SESSION_MANAGER="local/laboussole:@/tmp/.ICE-unix/2721,unix/laboussole:/tmp/.ICE-unix/2721"
SHELL="/bin/bash"
SHLVL="1"
SSH_AGENT_PID="2755"
SSH_AUTH_SOCK="/tmp/keyring-0cWvbS/ssh"
SYMLINK_LIB="yes"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
TERM="xterm"
USB_DEVFS_PATH="/dev/bus/usb"
USE="X a52 aac acl acpi alsa amd64 bash-completion berkdb bluetooth branding bzip2 cairo cdda cdr cli colord consolekit cracklib crypt css cups cxx dbus dri dts dv dvd dvdr eds emboss encode evo exif faac faad ffmpeg firefox flac fortran gdbm gdu gif gimp glib glitz gnome gnome-keyring gnome-online-accounts gnutls gphoto2 gpm gstreamer gtk gtk3 iconv id3tag ieee1394 imagemagick java jpeg lame lcms libnotify libsamplerate libsndfile mad matroska mjpeg mmx mng modules mp3 mp4 mpeg mplayer mudflap multilib musepack nautilus ncurses nls nptl nptlonly nsplugin odbc ogg opengl openmp pam pango pcre pdf png policykit ppds pppd pulseaudio python qt3support qt4 quicktime raw readline sdl session smp sndfile socialweb sox spell sse sse2 sse3 ssl ssse3 startup-notification stream svg sysfs taglib tcpd theora tiff truetype twolame udev unicode usb v4l vcd vdpau vorbis wavpack wma x264 xcb xml xorg xulrunner xv xvid zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic auth_digest authn_anon authn_dbd authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock dbd deflate dir disk_cache env expires ext_filter file_cache filter headers ident imagemap include info log_config logio mem_cache mime mime_magic negotiation proxy proxy_ajp proxy_balancer proxy_connect proxy_http rewrite setenvif so speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan stage tables krita karbon braindump" CAMERAS="canon" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="evdev wacom" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="fr" PHP_TARGETS="php5-3" RUBY_TARGETS="ruby18" SANE_BACKENDS="hp" USERLAND="GNU" VIDEO_CARDS="nvidia vesa" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
USER="jerome"
USERLAND="GNU"
USE_EXPAND="ALSA_CARDS ALSA_PCM_PLUGINS APACHE2_MODULES APACHE2_MPMS CALLIGRA_FEATURES CAMERAS COLLECTD_PLUGINS CROSSCOMPILE_OPTS DRACUT_MODULES DVB_CARDS ELIBC FCDSL_CARDS FOO2ZJS_DEVICES FRITZCAPI_CARDS GPSD_PROTOCOLS GRUB_PLATFORMS INPUT_DEVICES KERNEL LCD_DEVICES LINGUAS LIRC_DEVICES MISDN_CARDS NETBEANS_MODULES NGINX_MODULES_HTTP NGINX_MODULES_MAIL OFED_DRIVERS PHP_TARGETS QEMU_SOFTMMU_TARGETS QEMU_USER_TARGETS RUBY_TARGETS SANE_BACKENDS USERLAND VIDEO_CARDS XFCE_PLUGINS XTABLES_ADDONS"
USE_EXPAND_HIDDEN="CROSSCOMPILE_OPTS ELIBC KERNEL USERLAND"
USE_ORDER="env:pkg:conf:defaults:pkginternal:repo:env.d"
VBOX_APP_HOME="/usr/lib64/virtualbox"
VIDEO_CARDS="nvidia vesa"
WINDOWID="23084196"
XAUTHORITY="/home/jerome/.Xauthority"
XDG_CONFIG_DIRS="/etc/xdg"
XDG_DATA_DIRS="/usr/local/share:/usr/share:/usr/share/gdm"
XDG_MENU_PREFIX="gnome-"
XDG_SESSION_COOKIE="7071e6793c13a45c18272eff0000000c-1331566798.606404-1984546427"
XSESSION="gnome"
XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
_="/usr/bin/emerge"
Comment 14 Gil Forcada 2012-03-12 23:56:45 UTC
Did you tried to add a password for gdm user as per comment 12?
Comment 15 gglaboussole 2012-03-13 12:41:29 UTC
(In reply to comment #14)
> Did you tried to add a password for gdm user as per comment 12?

I'm sorry... As my english is bad, I did not understand that add a password for gdm user solved the problem for you...
Indeed I've copied the same line with you and that's worked fine ! thanks
Comment 16 Lucian Muresan 2012-04-06 12:25:38 UTC
I'm having the following in /etc/passwd:

gdm:x:105:1008:added by portage for gdm:/var/lib/gdm:/sbin/nologin

and still the same problem which surprisingly for me is an "UNCONFIRMED" bug here as well as in the upstream bugtracker. Replacing the line with the short variant from comment #12 will have starting the init script /etc/init.d/xdm complain about not finding a "gdm" user...
Comment 17 Juergen Rose 2012-04-09 15:05:01 UTC
I have the same issue. The old gdm line in /etc/passwd was:

gdm:x:32:32:GDM:/var/lib/gdm:/bin/false

I replaced according to comment 12 with:

gdm:!:152490::::::

But gdm shows only the spinning cursor. If I switcht to console 1, I see
gdm[16856]: CRITICAL: Can't find the GDM user 'gdm'. Aborting!
gdm[16856]: CRITICAL: The GDM user should not be root. Aborting!

If I do 'startx', I do not have any problems.

I have /var/log/gdm/:0.log and /var/log/gdm/:0-slave.log:

root@grizzly:/root(16)# ll /var/log/gdm/:0.log /var/log/gdm/:0-greeter.log /var/log/gdm/:0-slave.log
/bin/ls: cannot access /var/log/gdm/:0-greeter.log: No such file or directory
-rw-r--r-- 1 root root 36782 Apr  9 16:56 /var/log/gdm/:0.log
-rw-r--r-- 1 root root   235 Apr  9 16:53 /var/log/gdm/:0-slave.log


In /var/log/gdm/:0-slave.log I see:

gdm-simple-slave[16858]: WARNING: Failed to give slave programs access to the display. Trying to proceed.
gdm-simple-slave[16858]: WARNING: Unable to parse output: 
gdm-simple-slave[16858]: WARNING: Unable to parse D-Bus launch output


/var/log/gdm/:0.log var_log_gdm_0.log is attached.

'ps aux | grep gdm' says:
root@grizzly:/root(22)# ps aux | grep gdm
root     16857  0.0  0.0  61688  2120 ?        Ssl  16:53   0:00 gdm
root     16858  0.0  0.1 131692  6144 ?        Sl   16:53   0:00 /usr/libexec/gdm-simple-slave --display-id /org/gnome/DisplayManager/Display1
root     17229  1.8  0.9 441816 36936 pts/0    S    16:59   0:05 emacs -i -geometry 81x61 we /var/log/gdm/:0.log
root     17286  3.0  0.8 440432 35596 pts/0    S    17:01   0:04 emacs -i -geometry 81x61 -name :0-slave.log /var/log/gdm/:0-slave.log
root     17308  0.0  0.0  10860   888 pts/0    S+   17:04   0:00 grep --colour=auto gdm
Comment 18 Juergen Rose 2012-04-09 15:05:30 UTC
Created attachment 308307 [details]
/var/log/gdm/:0.log var_log_gdm_0.log
Comment 19 gglaboussole 2012-06-09 08:48:42 UTC
Very very strange... This workaround did the trick for me until yesterday (see comment 15)...
Yesterday I've emerged polkit-0.106, and at the next boot, no more gdm greeter !
Then I think that's maybe the  added line "gdm:!:152490::::::"  no more needed, so I removed it from my /etc/passwd.
But gdm still not load.

So I've decided to downgrad to polkit-0.105, and reboot my computer without the famous line "gdm:!:152490::::::" in my /etc/passwd (I've just forgotten to edit the file..) and gdm start.

In conclusion now, my gdm works whithout this workaround

I've tested to upgrade to polkit-0.106 again but definitively don't work, so i came back to polkit-0.105.
Comment 20 gglaboussole 2012-06-18 19:38:02 UTC
Upgrade to polkit-0.106-r2 solved the problem for me
Comment 21 Alexander 2012-06-19 10:55:49 UTC
Same problem.

Actually i have polkit-106-r2
but no effect for blackscreen
Comment 22 Alexander 2012-06-19 11:07:04 UTC
i added 
gdm:!:152490:::::: to /etc/passwd instead of "gdm:x:104:101:added by portage for gdm:/var/lib/gdm:/sbin/nologin"

but with no effect.

Portage 2.1.10.65 (default/linux/amd64/10.0, gcc-4.6.3, glibc-2.15-r2, 3.4.3-gentoo x86_64)
=================================================================
System uname: Linux-3.4.3-gentoo-x86_64-Intel-R-_Core-TM-2_Duo_CPU_E6550_@_2.33GHz-with-gentoo-2.1
Timestamp of tree: Tue, 19 Jun 2012 10:30:01 +0000
app-shells/bash:          4.2_p29
dev-java/java-config:     2.1.12
dev-lang/python:          2.7.3-r2, 3.2.3-r1
dev-util/cmake:           2.8.8-r2
dev-util/pkgconfig:       0.26
sys-apps/baselayout:      2.1-r1
sys-apps/openrc:          0.10.2
sys-apps/sandbox:         2.5
sys-devel/autoconf:       2.13, 2.69
sys-devel/automake:       1.10.3, 1.11.5, 1.12.1
sys-devel/binutils:       2.22-r1
sys-devel/gcc:            4.6.3
sys-devel/gcc-config:     1.7.3
sys-devel/libtool:        2.4.2
sys-devel/make:           3.82-r3
sys-kernel/linux-headers: 3.4 (virtual/os-headers)
sys-libs/glibc:           2.15-r2
Repositories: gentoo zugaina
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -O2 -pipe -funroll-all-loops -fomit-frame-pointer"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/gnupg/qualified.txt /usr/share/openvpn/easy-rsa"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-march=native -O2 -pipe -funroll-all-loops -fomit-frame-pointer"
DISTDIR="/usr/portage/distfiles"
EMERGE_DEFAULT_OPTS="--autounmask=n"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles news parallel-fetch parse-eapi-ebuild-head protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://gentoo.bloodhost.ru/"
LANG="ru_RU.UTF-8"
LC_ALL=""
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LINGUAS="ru"
MAKEOPTS="-j7"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/var/lib/layman/zugaina"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="3dnow X X509 aac acl acpi adplug alsa amd64 amr apng audio audiofile bash-completion bazaar berkdb bluetooth bluray bzip2 cairo cdaudio cdda cdparanoia cdr cdrom cdrtools chm cli consolekit cpudetection cracklib crypt cscope css ctype cuda cue cups curl custom-optimization cxx dbus device-mapper dhclient djvu dri dvd dvdr emerald enca encode exif extras fbdev ffmpeg fftw filter firefox firefox3 flac flash fluidsynth flv fontconfig fortran frei0r ftp fuse g3dvl gcj gconf gd gdbm gdu gif git glitz gmp gnome gnome-keyring gnutls google gpm gsm gstreamer gtk gtk3 gudev hddtemp hwdb i18n iconv icq icu id3 id3tag imagemagick imlib ios iphone ipod iproute2 iptables ipv6 ithreads jabber jack java jbig jpeg jpeg2k jpg kdrive kerberos kvm lame libmpeg2 libnotify lm_sensors lzma lzo macvtap mad midi mmx mng modules mp3 mpeg mpg123 mudflap multilib musepack musicbrainz mysql nautilus ncurses nls nokia nptl nsplugins nss ntfs ntfs-3g ogg opencv opengl openmp optimization pam pcre pdf perl png policykit pppd pulseaudio python qemu qmake qt3support qt4 radio rar rdesktop-vrdp readline reiserfs ru ruby19 samba sasl sdk sdl secure-delete session sip skype slang smp sndfile snmp sockets sox speex sql sqlite sse sse2 ssh ssl stream subversion svg symlink syslog system-sqlite taglib tcpd tga theora threads tiff timidity truetype udev unicode unlock-notify unzip upnp usb utp vaapi vde vdpau vim-syntax virt-network vnc vorbis wav wavpack webkit wma wmf x264 xcb xinerama xml xorg xterm xulrunner xvfb xvid youtube zip zlib" ALSA_CARDS="hda-nvidia hda-intel" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CURL_SSL="nss" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="ru" PHP_TARGETS="php5-3" PYTHON_TARGETS="python3_2 python2_7" QEMU_SOFTMMU_TARGETS="arm x86_64 i386 mips64el mipsel" RUBY_TARGETS="ruby18 ruby19" USERLAND="GNU" VIDEO_CARDS="nouveau nvidia" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, INSTALL_MASK, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON
Comment 23 Alexander 2012-06-19 11:37:44 UTC
Downgraded to polkit-105, and gdm working again.
Comment 24 Ben 2012-06-19 13:34:54 UTC
S A M E    H E R E  !!

---8<------8<------8<------8<------8<------8<------8<------8<---


Portage 2.1.10.65 (default/linux/amd64/10.0, gcc-4.6.3, glibc-2.15-r2, 3.4.3-gentoo x86_64)
=================================================================
System uname: Linux-3.4.3-gentoo-x86_64-Intel-R-_Core-TM-2_Quad_CPU_Q6600_@_2.40GHz-with-gentoo-2.1
Timestamp of tree: Tue, 19 Jun 2012 11:45:01 +0000
app-shells/bash:          4.2_p29
dev-java/java-config:     2.1.12
dev-lang/python:          2.7.3-r2, 3.2.3-r1
dev-util/cmake:           2.8.8-r3
dev-util/pkgconfig:       0.26
sys-apps/baselayout:      2.1-r1
sys-apps/openrc:          0.10.3
sys-apps/sandbox:         2.5
sys-devel/autoconf:       2.13, 2.69
sys-devel/automake:       1.9.6-r3, 1.10.3, 1.11.5, 1.12.1
sys-devel/binutils:       2.22-r1
sys-devel/gcc:            4.6.3
sys-devel/gcc-config:     1.7.3
sys-devel/libtool:        2.4.2
sys-devel/make:           3.82-r3
sys-kernel/linux-headers: 3.4 (virtual/os-headers)
sys-libs/glibc:           2.15-r2
Repositories: gentoo
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -mtune=generic -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt /usr/share/themes/oxygen-gtk/gtk-2.0 /var/lib/hsqldb"
CONFIG_PROTECT_MASK="${EPREFIX}/etc/gconf /etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.4/ext-active/ /etc/php/cgi-php5.4/ext-active/ /etc/php/cli-php5.4/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-march=native -mtune=generic -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles news parallel-fetch parse-eapi-ebuild-head protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://de-mirror.org/distro/gentoo/"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j9"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY=""
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="X aac acl acpi alsa amd64 amr amr_nb amr_wb apache2 apic apng applet arts asf ati audacious audio audiofile berkdb bzip2 cairo cdda cddb cdr cli cpufreq cracklib crypt ctype cups curl cxx dba dbus dri dvd dvdr dvdread embedded encode fbcon fbcondecor firefox fontconfigfbdev fortran gallium gd gdbm gdm geany gif gimp glitz gnome gnome-keyring gnome-print gnome-screensaver gnome-shell gpm gtk hal i810 iconv icu imagemagick innodb introspection ipv6 ithreads java javascript jpeg jpeg2k jpg lame mgcj minizipmplayer mmx mmxext mng modules mozilla mp3 mp4 mpeg msn mudflap multilib mysql mysqli ncurses nls nptl nptlonly nsplugin ogg opengl openmp oss pam pcre pdf php png ppds pppd pthreads pythonrdesktop readline samba script sdl session simplexml sip smp spell sse sse2 ssl ssse3 svg syslog tcl tcpd threads tiff truetype tv unicode usb v4l v4l2 vapigen vesa vga video vim-syntax wav wavpack webkit wifi wxwidgets x264 xcb xine xinerama xml xml2 xmlwriter xorg xosd xv xvid zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" PHP_TARGETS="php5-3" PYTHON_TARGETS="python3_2 python2_7" RUBY_TARGETS="ruby18 ruby19" USERLAND="GNU" VIDEO_CARDS="radeon v4l r600" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LC_ALL, LINGUAS, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON

---8<------8<------8<------8<------8<------8<------8<------8<---
Comment 25 Ben 2012-06-20 07:14:17 UTC
OK, I'd _definitely_ give a look at the "tmpfs-mounted dirs" lead:
http://forums.gentoo.org/viewtopic-p-7066876.html#7066876
Comment 26 gglaboussole 2012-06-20 16:16:42 UTC
Did you follow the warning in the elog ?

"If home directory of unix-user "polkitd" is set to /dev/null, run:            │
│# usermod -d /var/lib/polkit-1 polkitd  "

Because this warning didn't help me with the version until polkit-0.106-r1 
but did with the -0.106-r2...
Comment 27 brent 2012-06-21 10:35:24 UTC
comment 27 totally fixed it for me. i was bashing my head against this for a good three hours and i didn't even think to check the elogs of the things emerged over the past day. HAH, serves me right for doing unattended emerge -uDNv world's. :/

BUT, fixed. thanks, gil.
Comment 28 brent 2012-06-21 10:38:16 UTC
(sigh) wow. yes, i AM that tired.

corrections:

1. comment 26, not comment 27 was the fix for me.

2. thanks gil for REPORTING, and i also forgot to thank gglaboussole for providing the information that FIXED it for me.
Comment 29 Juergen Rose 2012-06-21 22:14:53 UTC
I have a system with sys-auth/polkit-0.106-r2 and /dev/null as home directory for polkitd where I just succesfully logged in via gdm:

root@condor:/root(2)# qlist -Iv polkit
gnome-extra/polkit-gnome-0.102
gnome-extra/polkit-gnome-0.105
kde-misc/polkit-kde-kcmodules-0.98_pre20101127
sys-auth/polkit-0.106-r2
sys-auth/polkit-kde-agent-0.99.0
sys-auth/polkit-qt-0.103.0
root@condor:/root(3)# uname -a
Linux condor 3.4.3 #1 SMP Thu Jun 21 11:22:44 CEST 2012 x86_64 Intel(R) Core(TM)2 CPU 6600 @ 2.40GHz GenuineIntel GNU/Linux
root@condor:/root(4)# ps -ef | grep gdm | grep -v grep
root@condor:/root(5)# grep polkit /etc/passwd
polkituser:x:121:1022:added by portage for policykit:/dev/null:/sbin/nologin
polkitd:x:141:998:added by portage for polkit:/dev/null:/sbin/nologin



And I have an other system with polkit-0.106-r2 and /var/lib/polkit-1 as home directory for polkitd, where I can't login via gdm (I get only the spinning cursor):

root@grizzly:/root(8)#  qlist -Iv polkit
gnome-extra/polkit-gnome-0.102
gnome-extra/polkit-gnome-0.105
kde-misc/polkit-kde-kcmodules-0.98_pre20101127
sys-auth/polkit-0.106-r2
sys-auth/polkit-kde-agent-0.99.0
sys-auth/polkit-qt-0.103.0
[1]+  Done                    compare_conf_files
root@grizzly:/root(9)#  uname -a
Linux grizzly 3.3.8 #1 PREEMPT Thu Jun 21 18:39:05 CEST 2012 x86_64 AMD Athlon(tm) 64 Processor 3700+ AuthenticAMD GNU/Linux

root@grizzly:/root(12)# ps -ef | grep gdm | grep -v grep
root     11617     1  0 00:02 ?        00:00:00 gdm
root     11618 11617  0 00:02 ?        00:00:00 /usr/libexec/gdm-simple-slave --display-id /org/gnome/DisplayManager/Display1
root     11620 11618  0 00:02 tty7     00:00:00 /usr/bin/Xorg :0 -br -verbose -logverbose 7 -auth /var/run/gdm/auth-for-gdm-bXC9BJ/database -nolisten tcp vt7
gdm      11643     1  0 00:02 ?        00:00:00 /usr/bin/dbus-daemon --fork --print-pid 5 --print-address 7 --session
root     11644 11618  0 00:02 ?        00:00:00 gdm-session-worker [pam/gdm-welcome]
root@grizzly:/root(14)# grep polkit /etc/passwd
polkituser:x:130:1218:added by portage for policykit:/dev/null:/sbin/nologin
polkitd:x:141:997:added by portage for polkit:/var/lib/polkit-1:/sbin/nologin
root@grizzly:/root(15)# ll /var/lib/polkit-1
total 0
root@grizzly:/root(16)# ll -t /var/log/gdm/
total 200
-rw-r--r-- 1 root root 36460 Jun 22 00:12 :0.log
-rw-r--r-- 1 root root     0 Jun 22 00:02 :0-slave.log
-rw-r--r-- 1 root root 37136 Jun 22 00:02 :0.log.1
-rw-r--r-- 1 root root     0 Jun 21 23:47 :0-slave.log.1
-rw-r--r-- 1 root root 37076 Jun 12 16:33 :0.log.2
Comment 30 Guillaume Ayoub 2012-06-21 22:51:36 UTC
Same here, not fixed with polkit-0.106-r2 and /var/lib/polkit-1 as home, black screen with spinning cursor.
Comment 31 Kyle Evans 2012-08-06 15:15:36 UTC
I was experiencing the same. After spending a while getting udisks & upower to work in openbox, which I finally did, I tried gnome again and no more black screen w/ spinning cursor. There were some package updates...

emerge -1avD --noconfmem udev dbus-glib consolekit pambase shadow

But what finally got me up and running over there was 

chmod o+x /usr/libexec/dbus-daemon-launch-helper

For those still with an issue, I would try the chmod first to see if that fixes it.
Comment 32 Flo Gravo 2012-09-01 13:24:26 UTC
Tried everything listed here - but still no greeter!
gdm-3.4.1
polkit-107
Comment 33 Flo Gravo 2012-09-11 15:20:07 UTC
Even on a freshly installed system it does not start. But I get tons of those in /var/log/gdm/:1-slave.log :
.
.
.
gdm-simple-slave[5716]: GLib-GObject-CRITICAL: g_object_ref: assertion `object->ref_count > 0' failed
gdm-simple-slave[5716]: DEBUG(+): GdmSimpleSlave: Stopping simple_slave
gdm-simple-slave[5716]: DEBUG(+): GdmSlave: Stopping slave
gdm-simple-slave[5716]: DEBUG(+): GdmSimpleSlave: Stopping greeter
gdm-simple-slave[5716]: DEBUG(+): GdmSimpleSlave: Greeter stopped
gdm-simple-slave[5716]: DEBUG(+): GdmSlave: stopping slave
.
.
.
Comment 34 Brandon Penglase 2012-09-18 00:34:58 UTC
So I hit this with gdm-3.4.1-r1, when Gnome 3.4.1 hit unstable (http://forums.gentoo.org/viewtopic-t-936336-highlight-gdm.html).

Here is my emerge line for gdm prior:
[ebuild   R    ] gnome-base/gdm-3.4.1-r1  USE="consolekit fallback gnome-keyring gnome-shell introspection ipv6 ldap tcpd xinerama xklavier -accessibility -audit -debug -fprint -plymouth (-selinux) -smartcard -systemd {-test}" 0 kB

I found when I built GDM with 'USE="-ldap" emerge gdm', it was able to load and operate fine.

I do use LDAP for AuthN and AuthZ (pam.d/system-auth adjusted accordingly), however I did not have to change any of this, and I was still able to hit "Not Listed?" and type my user/pass, and it logged me in perfectly fine.

So, for those running into this, do you have ldap on your gdm USE line?
Comment 35 Christopher J. Volny 2012-09-24 06:29:31 UTC
(In reply to comment #34)

Yup, disabling LDAP use flag for gnome-base/gdm fixed this for me. Thanks!

I strace -ff'ed this to try and find out what was going on; to find Xorg repeating select(256, NULL, NULL, ...) repeatedly so it was waiting for something that wasn't happening. I was dumb and deleted those output files and started reverting versions and trying different nsswitch.conf settings (I also use {nss,pam}_ldap and figured this was part of the problem; no avail). Nothing useful was logged to gdm/:0*, messages, or Xorg.0.log.

startx worked as a regular user. My passwd for polkitd already had the proper home directory, my passwd contained the standard portage generated gdm (see comment 16's post), and this only broke recently with the update to gdm (but reverting to an old quickpkg didn't fix the problem).

Either way, disabling ldap for the package fixed the problem. Thanks again!
Comment 36 Jean-Marc Hengen 2013-01-10 22:59:09 UTC
On one box I have, I'm experiencing the symptoms described in this bug since I've upgraded to gdm-3.x (starting with 3.2.x). None of the solutions worked for me so far. I never found any hint on what could have gone wrong. Until today: I updated my system and switched to gnome-base/gdm-3.6.2. Now I can see the following entries in journalctl:

....
Jan 10 23:12:34 dallben dbus-daemon[2733]: dbus[2733]: [system] Rejected send message, 1 matched rules; type="method_call", sender=":1.5" (uid=0 pid=2737 comm="/usr/bin/gdm --nodaemon ") interface="org.freedesktop.DBus.Properties" member="GetAll" error name="(unset)" requested_reply="0" destination=":1.8" (uid=0 pid=2756 comm="/usr/libexec/gdm-simple-slave --display-id /org/gn")
Jan 10 23:12:34 dallben dbus[2733]: [system] Rejected send message, 1 matched rules; type="method_call", sender=":1.5" (uid=0 pid=2737 comm="/usr/bin/gdm --nodaemon ") interface="org.freedesktop.DBus.Properties" member="GetAll" error name="(unset)" requested_reply="0" destination=":1.8" (uid=0 pid=2756 comm="/usr/libexec/gdm-simple-slave --display-id /org/gn")
....
Jan 10 23:12:40 dallben gdm-simple-slave[2756]: WARNING: Failed to give slave programs access to the display. Trying to proceed.
....

The last message is also repeated in /var/log/gdm/\:0-slave.log (which was formerly empty).

Does anyone have any clue what could go wrong here? Any additional info needed? Btw the only "difference" to all my other boxes, where I run the gdm-3.x successfully, is that this box was installed in 2005 where all the others were installed 2008 and later. So I suspect a bit, that I might have an old setting somewhere, which triggers my problem.

Any tip is welcome!

# emerge --info gdm
Portage 2.1.11.31 (default/linux/amd64/10.0, gcc-4.6.3, glibc-2.15-r3, 3.7.1 x86_64)
=================================================================
                        System Settings
=================================================================
System uname: Linux-3.7.1-x86_64-AMD_Athlon-tm-_64_Processor_3400+-with-gentoo-2.1
Timestamp of tree: Tue, 08 Jan 2013 17:00:01 +0000
ld GNU ld (GNU Binutils) 2.22
app-shells/bash:          4.2_p37
dev-java/java-config:     2.1.11-r3
dev-lang/python:          2.7.3-r2, 3.2.3
dev-util/cmake:           2.8.9
dev-util/pkgconfig:       0.27.1
sys-apps/baselayout:      2.1-r1
sys-apps/openrc:          0.11.8
sys-apps/sandbox:         2.5
sys-devel/autoconf:       2.13, 2.69
sys-devel/automake:       1.9.6-r3, 1.10.3, 1.11.6
sys-devel/binutils:       2.22-r1
sys-devel/gcc:            4.6.3
sys-devel/gcc-config:     1.7.3
sys-devel/libtool:        2.4-r1
sys-devel/make:           3.82-r4
sys-kernel/linux-headers: 3.6 (virtual/os-headers)
sys-libs/glibc:           2.15-r3
Repositories: gentoo jmhengens-playground
ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/gnupg/qualified.txt /usr/share/openvpn/easy-rsa /var/lib/hsqldb"
CONFIG_PROTECT_MASK="${EPREFIX}/etc/gconf /etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.4/ext-active/ /etc/php/cgi-php5.4/ext-active/ /etc/php/cli-php5.4/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-march=native -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs buildpkg config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch protect-owned sandbox sfperms splitdebug strict unknown-features-warn unmerge-logs unmerge-orphans userfetch"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LANG="en_US.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j1"
PKGDIR="/opt/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_EXTRA_OPTS="--exclude='/lost+found'"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="3dnow 3dnowext X Xaw3d a52 aac aacplus aalib acl acpi alsa amd64 amr apache2 archive avahi bash-completion berkdb bluetooth bzip2 cairo cdda cdr cli clutter colord cracklib crypt cups cxx dbus dirac doc dri dts dv dvb dvd dvdr eds encode exif flac foomaticdb fortran fpx ftp gdbm gif gnome gnome-keyring gnutls gpm graphviz grilo gstreamer gtk gtk3 guile iconv imap introspection ipv6 jabber jack java6 javascript jbig joystick jpeg jpeg2k latex lcms libass libcaca libnotify libv4l libwww lirc lzma lzo mad matroska midi mime mms mmx mmxext mng modules mono mp3 mp4 mpeg mudflap multilib musepack musicbrainz mysql mysqli nas nautilus ncurses networkmanager nls nocd nptl nsplugin ogg openal openexr opengl openmp opus pam pcre pdf perl php png policykit postscript ppds pppd pulseaudio quicktime raw readline scanner schroedinger sendto session sndfile speex spell sse sse2 ssl startup-notification svg systemd sysvipc tcpd theora tiff truetype udev udisks unicode upnp upnp-av usb v4l v4l2 vcd vdpau videos vim-syntax vorbis vp8 vpx webkit webm webp wma wmf x264 xine xinerama xml xmpp xosd xpm xv xvid zeroconf zlib" ALSA_CARDS="emu10k1" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic auth_digest authn_anon authn_dbd authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile \ authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock dbd deflate dir disk_cache env expires ext_filter file_cache filter headers ident imagemap include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump" CAMERAS="canon ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" DRACUT_MODULES="mdraid systemd" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="evdev joystick" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer pdfimport" LINGUAS="en de fr ja" LIRC_DEVICES="hauppauge hauppauge_dvb" PHP_TARGETS="php5-3" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_2" RUBY_TARGETS="ruby19" SANE_BACKENDS="hp" USERLAND="GNU" VIDEO_CARDS="nouveau radeon r300" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, USE_PYTHON

=================================================================
                        Package Settings
=================================================================

gnome-base/gdm-3.6.2 was built with the following:
USE="gnome-shell introspection ipv6 systemd tcpd xinerama -accessibility -audit -consolekit -debug -fallback -fprint -ldap -plymouth (-selinux) -smartcard -test"
Comment 37 Gilles Dartiguelongue gentoo-dev 2013-01-22 22:52:56 UTC
(In reply to comment #36)
> On one box I have, I'm experiencing the symptoms described in this bug since
> I've upgraded to gdm-3.x (starting with 3.2.x). None of the solutions worked
> for me so far. I never found any hint on what could have gone wrong. Until
> today: I updated my system and switched to gnome-base/gdm-3.6.2. Now I can
> see the following entries in journalctl:
> 
> ....
> Jan 10 23:12:34 dallben dbus-daemon[2733]: dbus[2733]: [system] Rejected
> send message, 1 matched rules; type="method_call", sender=":1.5" (uid=0
> pid=2737 comm="/usr/bin/gdm --nodaemon ")
> interface="org.freedesktop.DBus.Properties" member="GetAll" error
> name="(unset)" requested_reply="0" destination=":1.8" (uid=0 pid=2756
> comm="/usr/libexec/gdm-simple-slave --display-id /org/gn")
> Jan 10 23:12:34 dallben dbus[2733]: [system] Rejected send message, 1
> matched rules; type="method_call", sender=":1.5" (uid=0 pid=2737
> comm="/usr/bin/gdm --nodaemon ") interface="org.freedesktop.DBus.Properties"
> member="GetAll" error name="(unset)" requested_reply="0" destination=":1.8"
> (uid=0 pid=2756 comm="/usr/libexec/gdm-simple-slave --display-id /org/gn")
> ....
> Jan 10 23:12:40 dallben gdm-simple-slave[2756]: WARNING: Failed to give
> slave programs access to the display. Trying to proceed.
> ....
> 
> The last message is also repeated in /var/log/gdm/\:0-slave.log (which was
> formerly empty).
> 
> Does anyone have any clue what could go wrong here? Any additional info
> needed? Btw the only "difference" to all my other boxes, where I run the
> gdm-3.x successfully, is that this box was installed in 2005 where all the
> others were installed 2008 and later. So I suspect a bit, that I might have
> an old setting somewhere, which triggers my problem.
> 
> Any tip is welcome!

This may come from quite a few places. Recent gdm need to be in the video group, to have a real home in /var/lib/gdm etc. I suggest you start comparing user/group/permissions between your computers, if the problem is not there, I think you will have to visit us on irc to help diagnose the problem faster.
Comment 38 Jean-Marc Hengen 2013-03-25 19:31:45 UTC
(In reply to comment #37)
> This may come from quite a few places. Recent gdm need to be in the video
> group, to have a real home in /var/lib/gdm etc. I suggest you start
> comparing user/group/permissions between your computers, if the problem is
> not there, I think you will have to visit us on irc to help diagnose the
> problem faster.

Sorry for taking so long to reply - Unfortunately none of your suggestions helped (gdm was already in the video group, /var/lib/gdm exists, compared the two boxes). I will try to resolve this issue on irc when I have some time.
Comment 39 Pacho Ramos gentoo-dev 2013-03-29 12:06:14 UTC
I hit similar issue with gdm-3.8 but didn't notice it before because it doesn't occur when X have been started before gdm either with xdm or startx :S

No idea what is occurring and how to debug this, I only see a bunch of shit logged at the end of logs (some strange characters)

Any ideas?
Comment 40 Pacho Ramos gentoo-dev 2013-04-06 10:59:23 UTC
I see:
WARNING: Failed to give slave programs access to the display. Trying to proceed.

in /var/log/gdm/:0-slave.log

Looks similar to:
https://bugzilla.redhat.com/show_bug.cgi?id=873082
Comment 41 Pacho Ramos gentoo-dev 2013-04-06 11:59:36 UTC
Not sure if it could be an Xorg problem in my case:
https://bugs.freedesktop.org/show_bug.cgi?id=62141
Comment 42 Pacho Ramos gentoo-dev 2013-04-06 12:14:24 UTC
It is a X11 problem in my case:
https://bugs.gentoo.org/show_bug.cgi?id=464842

This shows me this bug had a lot of different issues (even showing similar behaviors) mixed and, then, I will close this bug.

Affected people: please unmask Gnome 3.8 and test with gdm-3.8.x and, if still failing, open new bug reports (as probably there are various different causes showing similar problems)